Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Interface ParserPlugin

    public interface ParserPlugin

A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser

Version:
  \$Revision: 7922 \$

Method Summary
`ModuleNode` | `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
`Reduction` | `parseCST(SourceUnit sourceUnit, Reader reader)`

Method Detail

### buildAST

    public ModuleNode buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)

### parseCST

    public Reduction parseCST(SourceUnit sourceUnit, Reader reader)

Copyright © 2003-2010 The Codehaus. All rights reserved.